th-compat-0.1.4: Backward- (and forward-)compatible Quote and Code types

# th-compat-0.1.4: Backward- (and forward-)compatible Quote and Code types

This package defines a Language.Haskell.TH.Syntax.Compat module, which backports the `Quote` and `Code` types to work across a wide range of `template-haskell` versions. The `makeRelativeToProject` utility is also backported. On recent versions of `template-haskell` (2.17.0.0 or later), this module simply reexports definitions from Language.Haskell.TH.Syntax. Refer to the Haddocks for Language.Haskell.TH.Syntax.Compat for examples of how to use this module.

Modules

th-compat-0.1.4

- Language
  Submodules
  - Haskell
    Submodules
    - TH
      Submodules
      - Syntax
        Submodules
        - Language.Haskell.TH.Syntax.Compat